package ch.unige.solidify.controller;

import org.springframework.util.MultiValueMap;

public interface ControllerWithHateoasHome {

  default ControllerWithHateoasHome home() {
    return this;
  }

  public default String getParameter(MultiValueMap<String, String> params, String key) {
    if (params.containsKey(key)) {
      return params.get(key).get(0);
    }
    return null;
  }
}
