package ch.unige.solidify.test.controller.business;

import ch.unige.solidify.rest.Resource;
import ch.unige.solidify.service.CompositeResourceService;
import ch.unige.solidify.service.LinkedResourceChecker;
import org.springframework.stereotype.Service;
import org.springframework.validation.BindingResult;

@Service
public class ApplicationLinkedResourceChecker<T extends Resource<T>>
        implements LinkedResourceChecker<T> {

  @Override
  public void validateLinkedResources(CompositeResourceService<T> service, T item,
          BindingResult errors) {
    service.validateLinkedResources(item, errors);
  }
}
