package ch.unige.solidify.model;

import java.util.Map;
import java.util.Set;

public interface User {

  public String getFirstName();

  public String getLastName();

  public String getEmail();

  public String getHomeOrganization();

  public String getUniqueId();

  public String getAccessToken();

  public long getAccessTokenExpiresTime();

  public Map<String, String> getAllProperties();

  public Set<String> getRoles();
}
