package ch.unige.solidify.test.util;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.test.context.junit4.SpringRunner;

import ch.unige.solidify.rest.ResourceNormalized;
import ch.unige.solidify.util.ReflectionTool;

@RunWith(SpringRunner.class)
public class ReflectionToolTest {
  @Test
  public void getCurrentSetterVariableNameTest() {
    ResourceTest resourceTest = new ResourceTest();
    resourceTest.setMyField();
  }

  private static class ResourceTest extends ResourceNormalized<ResourceTest> {

    @Override public Specification<ResourceTest> getSpecification() { return null; }

    @Override public void init() { }

    public void setMyField() {
      Assert.assertEquals("myField", ReflectionTool.getCurrentSetterVariableName());
    }

    @Override public String managedBy() { return null; }
  }

}


