package ch.unige.solidify.oracle.test.dao;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.springframework.data.jpa.domain.Specification;

import com.fasterxml.jackson.annotation.JsonIgnore;

import ch.unige.solidify.model.ChangeInfo;
import ch.unige.solidify.rest.ResourceDiverse;
import ch.unige.solidify.util.SearchCriteria;

@Entity
@Table(name = "IINDIVIDU")
public class IindividuEntity extends ResourceDiverse<IindividuEntity> {

  @Id
  @Column(name = "CN_INDIVIDU", nullable = false)
  private String entityId;

  public String getLastname() {
    return lastname;
  }

  public void setLastname(String lastname) {
    this.lastname = lastname;
  }

  public String getFirstname() {
    return firstname;
  }

  public void setFirstname(String firstname) {
    this.firstname = firstname;
  }

  public String getNamesForSearch() {
    return namesForSearch;
  }

  public void setNamesForSearch(String namesForSearch) {
    this.namesForSearch = namesForSearch;
  }

  @Column(name = "NOM", nullable = false)
  private String lastname;

  public void setEntityId(String entityId) {
    this.entityId = entityId;
  }

  @Column(name = "PRENOMS", nullable = false)
  private String firstname;

  @Column(name = "RECH_NOMS")
  private String namesForSearch;

  @Override
  public Specification<IindividuEntity> getSpecification() {
    return null;
  }

  @Override
  public void init() {

  }

  @Override
  public ChangeInfo getCreation() {
    return null;
  }

  @Override
  public String managedBy() {
    return null;
  }

  @java.beans.Transient
  @JsonIgnore
  public Specification<IindividuEntity> getSearchSpecification(SearchCriteria criteria) {
    return new IindividuSpecification(criteria);
  }

  @Override
  public String getEntityId() {
    return entityId;
  }

  @Override
  public ChangeInfo getLastUpdate() {
    return null;
  }
}
