package ch.unige.solidify.test.model;

import java.util.ArrayList;
import java.util.List;

public class OpenApiExtraDocumentation {
  private String path;
  private String schema;
  private List<OpenApiExtraDocumentationProperties> properties;

  public OpenApiExtraDocumentation(String path, String schema) {
    this.path = path;
    this.schema = schema;
    this.properties = new ArrayList<>();
  }

  public List<OpenApiExtraDocumentationProperties> getProperties() {
    return properties;
  }

  public void setProperties(List<OpenApiExtraDocumentationProperties> properties) {
    this.properties = properties;
  }

  public String getPath() {
    return path;
  }

  public String getSchema() {
    return schema;
  }
}
