package ch.unige.solidify.test.converter;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import ch.unige.solidify.converter.FrenchBooleanConverter;

public class FrenchBooleanConverterTest {

  FrenchBooleanConverter testConv = new FrenchBooleanConverter();

  @Test
  public void convertOToDBColumn_returnTrue() {
    assertEquals("O", testConv.convertToDatabaseColumn(true));
  }

  @Test
  public void convertNToDBColumn_returnTrue() {
    assertEquals("N", testConv.convertToDatabaseColumn(false));
  }

  @Test
  public void convertNullToDBColumn_returnNull() {
    assertEquals(null, testConv.convertToDatabaseColumn(null));
  }

  @Test
  public void convertTrueToEntAtt_returnO() {
    assertEquals(true, testConv.convertToEntityAttribute("O"));
  }

  @Test
  public void convertFalseToEntAtt_returnN() {
    assertEquals(false, testConv.convertToEntityAttribute("N"));
  }

  @Test
  public void convertNullToEntAtt_returnNull() {
    assertEquals(null, testConv.convertToEntityAttribute(null));
  }
}
